# bridge_map.cpp File Reference

Map accessor functions for bridges. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "tunnelbridge_map.h"`

Go to the source code of this file.

## Functions
static TileIndex | GetBridgeEnd (TileIndex tile, DiagDirection dir)
| Finds the end of a bridge in the specified direction starting at a middle tile.
TileIndex | GetNorthernBridgeEnd (TileIndex t)
| Finds the northern end of a bridge starting at a middle tile.
TileIndex | GetSouthernBridgeEnd (TileIndex t)
| Finds the southern end of a bridge starting at a middle tile.
TileIndex | GetOtherBridgeEnd (TileIndex tile)
| Starting at one bridge end finds the other bridge end.
uint | GetBridgeHeight (TileIndex t)
| Get the height ('z') of a bridge in pixels.

## Detailed Description

Map accessor functions for bridges.

Definition in file bridge_map.cpp.

## Function Documentation

static TileIndex GetBridgeEnd | ( | TileIndex | tile,
|  | DiagDirection | dir |
| ) |  |  | `[static]`

Finds the end of a bridge in the specified direction starting at a middle tile.

Parameters:

  | tile | the bridge tile to find the bridge ramp for
  | dir | the direction to search in

Definition at line 22 of file bridge_map.cpp.

References GetTunnelBridgeDirection(), IsBridgeTile(), ReverseDiagDir(), and TileOffsByDiagDir().

Referenced by GetNorthernBridgeEnd(), GetOtherBridgeEnd(), and GetSouthernBridgeEnd().

uint GetBridgeHeight | ( | TileIndex | tile | ) |

Get the height ('z') of a bridge in pixels.

Parameters:

  | tile | the bridge ramp tile to get the bridge height from

Returns:
  the height of the bridge in pixels

Definition at line 53 of file bridge_map.cpp.

References ApplyFoundationToSlope(), DiagDirToAxis(), GetTileSlope(), GetTunnelBridgeDirection(), and TILE_HEIGHT.

Referenced by CmdBuildBridge(), CmdTerraformLand(), DrawCatenaryRailway(), DrawRoadBits(), DrawTramCatenary(), and FloodVehicles().

TileIndex GetNorthernBridgeEnd | ( | TileIndex | t | ) |

Finds the northern end of a bridge starting at a middle tile.

Parameters:

  | t | the bridge tile to find the bridge ramp for

Definition at line 35 of file bridge_map.cpp.

References AxisToDiagDir(), GetBridgeAxis(), GetBridgeEnd(), and ReverseDiagDir().

Referenced by CmdBuildBridge(), DrawCatenaryRailway(), DrawRoadBits(), and DrawTramCatenary().

TileIndex GetOtherBridgeEnd | ( | TileIndex | t | ) |

Starting at one bridge end finds the other bridge end.

Parameters:

  | t | the bridge ramp tile to find the other bridge ramp for

Definition at line 47 of file bridge_map.cpp.

References GetBridgeEnd(), GetTunnelBridgeDirection(), and IsBridgeTile().

Referenced by CmdBuildBridge(), FloodVehicles(), CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >::FollowTileExit(), AIBridge::GetOtherBridgeEnd(), GetOtherTunnelBridgeEnd(), and GetRailTrackBitsUniversal().

TileIndex GetSouthernBridgeEnd | ( | TileIndex | t | ) |

Finds the southern end of a bridge starting at a middle tile.

Parameters:

  | t | the bridge tile to find the bridge ramp for

Definition at line 41 of file bridge_map.cpp.

References AxisToDiagDir(), GetBridgeAxis(), and GetBridgeEnd().

Referenced by CmdTerraformLand().